#
# spec file for package perl-Net-XMPP
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Net-XMPP
%define cpan_name Net-XMPP
Summary:        XMPP Perl Library
Version:        1.02
Release:        144.1
License:        LGPL-2.1+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-XMPP/
#Source:         http://www.cpan.org/modules/by-module/Net/Net-XMPP-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl(Module::Build)
BuildRequires:  perl-macros
BuildRequires:  perl(Digest::SHA1) >= 1.02
BuildRequires:  perl(XML::Stream) >= 1.22
#
Requires:       perl(Digest::SHA1) >= 1.02
Requires:       perl(XML::Stream) >= 1.22

%description
Net::XMPP is a convenient tool to use for any perl script that would
like to utilize the XMPP Instant Messaging protocol.  While not a
client in and of itself, it provides all of the necessary back-end
functions to make a CGI client or command-line perl client feasible  and
easy to use.  Net::XMPP is a wrapper around the rest of the  official
Net::XMPP::xxxxxx packages.

Authors:
--------
    Ryan Eatmon <reatmon@jabber.org>

%prep
%setup -q -n %{cpan_name}-%{version}
#rpmlint: wrong-file-end-of-line-encoding
%{__perl} -p -i -e "s|\r\n|\n|" stderr

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root,-)
%doc CHANGES examples LICENSE.LGPL README stderr

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Sun Jul 25 2010 chris@computersalat.de
- removed dos2unix usage
* Wed Jul 14 2010 chris@computersalat.de
- recreated by cpanspec 1.78
  o fix deps
- noarch pkg
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Thu Apr  5 2007 anicka@suse.cz
- update to 1.02
  * Copied *X subs from Net::Jabber::Message to Net::XMPP::Message
  * added debugging in some Protocol subs that didn't have it,
    but not all
  * disabled CODE checking in Protocol-Callback subs to be POE
    compatible
  * changed mytestlib.pl to output more concise test names
  * bugfixes
- fix spec to build with Module::Build, add it to BuildRequires
- disable %%perl_process_packlist (Module::Build does not append
  to perllocal.pod)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Aug  9 2005 ro@suse.de
- ignore test errors for the moment
* Mon Aug  1 2005 mjancar@suse.cz
- initial version 1.0
